package fr.greyc.pantheon.ariane.graph.exception;

import java.io.IOException;

import fr.greyc.pantheon.ariane.Ariane;

/**
 * Thrown to indicate that an error on
 * input or output data file.
 */
public class ArianeDataFileIOException extends IOException {
	/** The related error code. */
	private final Ariane.ErrorCode _errorCode;

	public ArianeDataFileIOException( Ariane.ErrorCode errorCode, String msg ) {
		super(msg);
		_errorCode = errorCode;
	}

	public final Ariane.ErrorCode getErrorCode() {
		return _errorCode;
	}
}
